> ## Documentation Index
> Fetch the complete documentation index at: https://www.commercengine.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve document detail

> Retrieve document detail



## OpenAPI

````yaml https://openapi.commercengine.io/ce-admin.json get /customers/{id}/documents/{document_id}
openapi: 3.1.0
info:
  title: CE Admin APIs
  version: '1.0'
  summary: Comprehensive admin interface for managing your e-commerce platform
  description: >-
    Complete administrative API suite for Commerce Engine, providing powerful
    tools to manage products, orders, customers, inventory, analytics, and
    system configuration. Designed for administrators and backend integrations
    requiring full platform control.
  license:
    name: All Rights Reserved
    url: https://www.commercengine.io/contact-us
  contact:
    email: support@commercengine.io
    url: https://www.commercengine.io/contact-us
    name: Support
servers:
  - url: https://staging.api.commercengine.io/api/v1/{store_id}/admin
    description: Staging Server
    variables:
      store_id:
        default: store_id
        description: Store ID
  - url: https://prod.api.commercengine.io/api/v1/{store_id}/admin
    description: Prod Server
    variables:
      store_id:
        default: store_id
        description: Store ID
security:
  - Authorization: []
tags:
  - name: Analytics
    description: Analytics
  - name: Catalog
    description: Catalog
  - name: Coupons & promotions
    description: Coupons & promotions
  - name: Customers
    description: Customers
  - name: Filter Options
    description: Filter Options
  - name: Inventories
    description: Inventories
  - name: Marketplace
    description: Marketplace
  - name: Marketplace Catalog
    description: Marketplace Catalog
  - name: Media Gallery
    description: Media Gallery
  - name: Metrics
    description: Metrics
  - name: Orders
    description: Orders
  - name: Payments
    description: Payments
  - name: Payouts
    description: Payouts
  - name: POS
    description: POS
  - name: POSAdmin
    description: Admin endpoints to be used as proxy in pos
  - name: Segments
    description: Segments
  - name: Shipping
    description: Shipping
  - name: SSE
    description: SSE
  - name: Store
    description: Store
  - name: Webhooks
    description: Webhooks
paths:
  /customers/{id}/documents/{document_id}:
    parameters:
      - name: document_id
        in: path
        description: document id
        required: true
        schema:
          type: string
      - name: id
        in: path
        description: customer id
        required: true
        schema:
          type: string
    get:
      tags:
        - Customers
      summary: Retrieve document detail
      description: Retrieve document detail
      operationId: get-customer-kyc-document-detail
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                  success:
                    type: boolean
                  content:
                    properties:
                      document:
                        $ref: '#/components/schemas/KycDocument'
                    type: object
components:
  schemas:
    KycDocument:
      title: KycDocument
      type: object
      required:
        - document_number
        - document_type_id
      properties:
        id:
          type: string
          readOnly: true
        document_number:
          type: string
        note:
          type: string
        file:
          description: file attachment will be required or optional as per store setting.
          type: string
          format: binary
          writeOnly: true
        document_type_id:
          type: string
          writeOnly: true
        status:
          enum:
            - submitted
            - approved
            - rejected
          readOnly: true
        title:
          type: string
          readOnly: true
        file_url:
          type: string
          readOnly: true
        verification_type:
          enum:
            - automatic
            - manual
          readOnly: true
        is_verified:
          type: boolean
          readOnly: true
        verified_at:
          type: string
          format: date-time
          readOnly: true
        created_by:
          enum:
            - customer
            - admin
          readOnly: true
        created_by_user_id:
          type: string
          readOnly: true
        created_at:
          type: string
          format: date-time
          readOnly: true
        modified_by:
          enum:
            - customer
            - admin
          readOnly: true
        modified_by_user_id:
          type: string
          readOnly: true
        modified_at:
          type: string
          format: date-time
          readOnly: true
        modified_reason:
          type: string
          readOnly: true
      x-tags:
        - Customers
  securitySchemes:
    Authorization:
      type: http
      scheme: bearer

````